// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.
 
package models

import (
  "io"
  "strings"
  "github.com/stretchr/testify/assert"
  "testing"
)

func TestNewTagFromJson(t *testing.T) {
  testJsonDocument := strings.NewReader(`{ "name": "foo", "resources": [ "bar" ] }`)

  tag,e := NewTagFromJson(io.NopCloser(testJsonDocument))
  assert.Equal(t, e, nil)
  assert.Equal(t, tag.Name, "foo")
}
