// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.
 
package service

import (
  "context"
)

type DataConnector interface {
  Connected(ctx context.Context) bool
  Query(ctx context.Context, terms []string) ([]string, error)
  Tags(ctx context.Context) []string
  AddTag(ctx context.Context, TagName string, Resource string) error
  ResourceHasTag(ctx context.Context, Resource string, TagName string) bool
}
