// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.
 
package mocks

import (
_ "testing"
  "net/http"
)

type HttpClientRoundTrip func(req *http.Request) *http.Response

func (h HttpClientRoundTrip) RoundTrip(r *http.Request) (*http.Response, error) {
  return h(r), nil
}

func NewHttpClient(h HttpClientRoundTrip) *http.Client {
  return &http.Client{ Transport: h }
}
